<?php

namespace App\Generated\V1\Messages\DeedFriend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class HideFriendMessage extends Message
{
    use ValueHelper;

    protected $friendUid;

    /**
     * @return int
     */
    public function getFriendUid()
    {
        return $this->friendUid;
    }

    public function requestRules()
    {
        return [
            ['friendUid', 'friend_uid', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
